---
orphan: true
---

# Query table overview

List the tables and column names of each table in the specified database.

```text
POST https://moi.matrixorigin.cn/newmoi/catalog/table/overview
```

## Preparation before calling

First [query the database list](list-databases.md) to obtain the database ID. Prepare the personal access token, target workspace ID, and database ID that have access to the target workspace.

The example below uses:

- `$AI_STUDIO_API_KEY`: The actual personal access token, passed through the `X-API-Key` Header.
- `$WORKSPACE_ID`: Target workspace ID, passed through `X-Workspace-ID` Header.
- `$DATABASE_ID`: The database ID to be queried.

## Request example

```bash
curl -X POST "https://moi.matrixorigin.cn/newmoi/catalog/table/overview" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "id": '"$DATABASE_ID"'
  }'
```

## Request body

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | Yes | Database ID. |

## Successful response

Returns `200` and table overview on success.

```json
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "tables": [
      {
        "name": "orders",
        "columns": ["id", "amount"]
      }
    ]
  }
}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.tables` | array | Overview of tables in the database. |
| `data.tables[].name` | string | Table name. |
| `data.tables[].columns` | string[] | List of table column names. |

In this document, `[]` after a type means an array; for example, `string[]` is an array of strings. In field paths, `[]` means each item in an array; for example, `data.tables[].name` is the `name` field of each item in `data.tables`.

## Error response

```json
{
  "code": "ErrServer",
  "msg": "服务器内部错误",
  "data": null
}
```

### Common HTTP errors

```{list-table}
:header-rows: 1
:widths: 12 22 32 34

* - HTTP status code
  - error code
  - Common causes
  - Recommended actions
* - `400`
  - `ErrParamInvalid`
  - The database ID is invalid.
  - Use a valid database ID.
* - `403`
  - `ErrForbidden`
  - The current identity does not have permission to read the database.
  - Use credentials with read permissions.
* - `500`
  - `ErrServer`
  - The server failed to generate table overview.
  - Try again later.
```
